## gowitness 3.0.5

=== Makefile ===
G := $(shell go version | cut -d' ' -f 3,4 | sed 's/ /_/g')
V := $(shell git rev-parse --short HEAD)
APPVER := $(shell grep 'Version =' internal/version/version.go | cut -d \" -f2)
PWD := $(shell pwd)
BUILD_TIME := $(shell date -u +"%Y-%m-%dT%H:%M:%SZ")
LD_FLAGS := -trimpath \
	-ldflags="-s -w \
	-X=github.com/sensepost/gowitness/internal/version.GitHash=$(V) \
	-X=github.com/sensepost/gowitness/internal/version.GoBuildEnv=$(G) \
	-X=github.com/sensepost/gowitness/internal/version.GoBuildTime=$(BUILD_TIME)"
BIN_DIR := build
PLATFORMS := darwin/amd64 darwin/arm64 linux/amd64 linux/arm64 linux/arm windows/amd64 windows/arm64
CGO := CGO_ENABLED=0

# Default target
default: clean test frontend api-doc build integrity

# Clean up build artifacts
clean:
	find $(BIN_DIR) -type f -name 'gowitness-*' -delete
	go clean -x

# Build frontend
frontend: check-npm
	@echo "Building frontend..."
	cd web/ui && npm i && npm run build

# Check if npm is installed
check-npm:
	@command -v npm >/dev/null 2>&1 || { echo >&2 "npm is not installed. Please install npm first."; exit 1; }

# Generate a swagger.json used for the api documentation
api-doc:
	~/go/bin/swag i --exclude ./web/ui --output web/docs
	~/go/bin/swag f

# Run any tests
test:
	@echo "Running tests..."
	go test ./...

# Build for all platforms
build: $(PLATFORMS)

# Generic build target for platforms
$(PLATFORMS):
	$(eval GOOS=$(firstword $(subst /, ,$@)))
	$(eval GOARCH=$(lastword $(subst /, ,$@)))
	$(CGO) GOOS=$(GOOS) GOARCH=$(GOARCH) go build $(LD_FLAGS) -o '$(BIN_DIR)/gowitness-$(APPVER)-$(GOOS)-$(GOARCH)$(if $(filter windows,$(GOOS)),.exe)'

# Checksum integrity
integrity:
	cd $(BIN_DIR) && shasum *

=== debian/changelog ===
gowitness (3.0.5-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 24 Oct 2024 09:17:05 +0200

gowitness (3.0.4-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.4

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 09 Oct 2024 08:29:45 +0200

gowitness (3.0.3-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.3

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 27 Sep 2024 10:38:08 +0200

gowitness (3.0.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Disable armel build in Kali CI

  [ Daniel Ruiz de Alegría ]
  * New upstream version 3.0.0
  * Update packaging
  * Fix tests

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Sat, 21 Sep 2024 19:39:08 +0200

gowitness (2.5.1-0kali3) kali-dev; urgency=medium

  * Chromium (dependency) is not available on armel

 -- Arnaud Rebillout <arnaudr@kali.org>  Sat, 18 May 2024 21:00:53 +0700

gowitness (2.5.1-0kali2) kali-dev; urgency=medium

  * Allow stderr in tests output

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 24 Apr 2024 16:17:47 +0200

gowitness (2.5.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 24 Apr 2024 11:25:48 +0200

=== debian/control ===
Source: gowitness
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.7.0
Homepage: https://github.com/sensepost/gowitness
Vcs-Browser: https://gitlab.com/kalilinux/packages/gowitness
Vcs-Git: https://gitlab.com/kalilinux/packages/gowitness.git
XS-Go-Import-Path: https://github.com/sensepost/gowitness

Package: gowitness
# Architecture: any [!armel]
Architecture: amd64 arm64 armhf i386
Depends:
 chromium,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description:  Web screenshot utility using Chrome Headless 
 gowitness is a website screenshot utility written in Golang, that uses Chrome
 Headless to generate screenshots of web interfaces using the command line, with
 a handy report viewer to process results. Both Linux and macOS is supported,
 with Windows support mostly working.
 .
 Inspiration for gowitness comes from Eyewitness. If you are looking for
 something with lots of extra features, be sure to check it out along with these
 other projects.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor

%:
	dh $@ --buildsystem=golang

override_dh_auto_build:
	go mod download
	go build -trimpath \
	    -buildmode=pie \
	    -mod=readonly \
	    -modcacherw \
	    -ldflags "-s -w" -o gowitness .

override_dh_auto_test:

=== debian/tests/control ===
Test-Command: sh -c "gowitness scan single --url https://www.kali.org --write-stdout 2>&1 | grep status-code=200"
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gowitness-$1\.tar\.gz/ \
  https://github.com/sensepost/gowitness/tags .*/v?(\d\S+)\.tar\.gz

## gowitness 3.1.1

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 V := $(shell git rev-parse --short HEAD)
 APPVER := $(shell grep 'Version =' internal/version/version.go | cut -d \" -f2)
 PWD := $(shell pwd)
+GOPATH := $(shell go env GOPATH)
 BUILD_TIME := $(shell date -u +"%Y-%m-%dT%H:%M:%SZ")
 LD_FLAGS := -trimpath \
 	-ldflags="-s -w \
@@ -17,7 +18,7 @@
 
 # Clean up build artifacts
 clean:
-	find $(BIN_DIR) -type f -name 'gowitness-*' -delete
+	find $(BIN_DIR) -type f -name 'gowitness-*' -delete || true
 	go clean -x
 
 # Build frontend
@@ -31,8 +32,9 @@
 
 # Generate a swagger.json used for the api documentation
 api-doc:
-	~/go/bin/swag i --exclude ./web/ui --output web/docs
-	~/go/bin/swag f
+	go install github.com/swaggo/swag/cmd/swag@latest
+	$(GOPATH)/bin/swag i --exclude ./web/ui --output web/docs
+	$(GOPATH)/bin/swag f
 
 # Run any tests
 test:

=== debian/changelog ===
gowitness (3.1.1-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)
  * Set Architecture to any (armel is gone)

  [ Daniel Ruiz de Alegría ]
  * New upstream version 3.1.1

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 24 Nov 2025 09:42:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders:
  Daniel Ruiz de Alegría <daniruiz@kali.org>,
-Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
  debhelper-compat (= 13),
@@ -17,8 +16,7 @@
 XS-Go-Import-Path: https://github.com/sensepost/gowitness
 
 Package: gowitness
-# Architecture: any [!armel]
-Architecture: amd64 arm64 armhf i386
+Architecture: any
 Depends:
  chromium,
  ${misc:Depends},
